dataset_fashion_mnist {keras} | R Documentation

## Fashion-MNIST database of fashion articles

### Description

Dataset of 60,000 28x28 grayscale images of the 10 fashion article classes, along with a test set of 10,000 images. This dataset can be used as a drop-in replacement for MNIST. The class labels are encoded as integers from 0-9 which correspond to T-shirt/top, Trouser, Pullover, Dress, Coat, Sandal, Shirt,

### Usage

    dataset_fashion_mnist()

### Details

Dataset of 60,000 28x28 grayscale images of 10 fashion categories, along with a test set of 10,000 images. This dataset can be used as a drop-in replacement for MNIST. The class labels are:

- 0 - T-shirt/top

- 1 - Trouser

- 2 - Pullover

- 3 - Dress

- 4 - Coat

- 5 - Sandal

- 6 - Shirt

- 7 - Sneaker

- 8 - Bag

- 9 - Ankle boot

### Value

Lists of training and test data: `train$x, train$y, test$x, test$y`, where `x` is an array of grayscale image data with shape (num_samples, 28, 28) and `y` is an array of article labels (integers in range 0-9) with shape (num_samples).

### See Also

Other datasets: `dataset_boston_housing`, `dataset_cifar100`, `dataset_cifar10`, `dataset_imdb`, `dataset_mnist`, `dataset_reuters`

[Package keras version 2.2.4 Index]